<!-- Q4 -->
<!DOCTYPE html>
<html>
  <head></head>
  <body>
    <p>
      <button onclick="updateCalculation('1')">1</button>

      <button onclick="updateCalculation('2')">2</button>

      <button onclick="updateCalculation('3')">3</button>

      <button onclick="updateCalculation('+')">+</button>
    </p>

    <p>
      <button onclick="updateCalculation('4')">4</button>

      <button onclick="updateCalculation('5')">5</button>

      <button onclick="updateCalculation('6')">6</button>

      <button onclick="updateCalculation('-')">-</button>
    </p>

    <p>
      <button onclick="updateCalculation('7')">7</button>

      <button onclick="updateCalculation('8')">8</button>

      <button onclick="updateCalculation('9')">9</button>

      <button onclick="updateCalculation('*')">*</button>
    </p>

    <p>
      <button onclick="updateCalculation('0')">0</button>

      <button onclick="updateCalculation('.')">.</button>

      <button onclick="updateCalculation('eval')">=</button>

      <button onclick="updateCalculation('/')">/</button>
    </p>

    <p>
      <button onclick="updateCalculation('clear')">Clear</button>
    </p>

    <button onclick="
    quantity += 4; 
    if (quantity > 10) {
      quantity -= 4;
      console.log('The cart is full')
    }else{
      console.log(quantity);
    }
    ">+4</button>
    <button onclick="
    quantity += 5
    if (quantity > 10) {
      quantity -= 4;
      console.log('The cart is full')
    }else{
      console.log(quantity);
    }
    ">+5</button>
    <!-- Q9 -->
    <button onclick="
    quantity--;
    if (quantity < 0) {
      quantity++;
      console.log('Not enough items in the cart')
    }else{
      console.log(quantity);
    }
    ">Remove from Cart</button>
  
    <button onclick="
    quantity -= 2;
    if (quantity < 0) {
      quantity += 2;
      console.log('Not enough items in the cart')
    }else{
      console.log(quantity);
    }
     ">-2</button>
    <button onclick="
    quantity -= 3;
    if (quantity < 0) {
      quantity += 3;
      console.log('Not enough items in the cart')
    }else{
      console.log(quantity);
    }
    ">-3</button>

    <script>
      let quantity = 0;
      let calculation = '';
      function updateCalculation(params) {
        if (params === "eval") {
          console.log(eval(calculation));
        }else if (params === "clear") {
          calculation = '';
          console.log(calculation);
        }else{
          calculation += params;
        }
      }
    </script>
  </body>
</html>